# Update Group

> Updates the information about the specified local group.

Updates the information about the specified local group.

## API Endpoint

`PUT` `https://{yourDomain}/identity/api/Group/{groupId}`

## Scopes

Requires the following scopes:

* PM.Group
* PM.Group.Write

## Request Headers

```
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
```

:::note
To obtain the `{access_token}`, make sure to authenticate through one of the methods described [here](https://docs.uipath.com/orchestrator/standalone/2023.10/api-Guide/authentication-methods#authentication-methods).
:::

## Path Parameters

| Param | Data type | Description |
| --- | --- | --- |
| `groupId`  (required) | String | The Id of the group you want to update. |

## Request Body

The request body contains the organization ID the group belongs to, and the information you want to update, such as group name and memberships.

```
{
  "partitionGlobalId": "string",
  "name": "string",
  "directoryUserIDsToAdd": [
    "string"
  ],
  "directoryUserIDsToRemove": [
    "string"
  ]
}
```

## Responses

### 200 OK

The custom group is updated with the information you provided.

## Example Request

Let's say you gathered all the information needed to build the API call.

* Your `{baseURL}` is: https://{yourDomain}/identity
* Your `{access_token}` is: `1234` (for length considerations).
* The `{partitionGlobalId}` is: `3fa85f64-5717-4562-b3fc-2c963f66afa6`
* You keep the group name as it is.
* You want to add users Luna and Neville to the group. These users have the following user IDs:
  + Luna user identifier: `lun-1302`
  + Neville user identifier: `nev-3007`

The call should resemble the following example (cURL):

```
curl --location --request PUT 'https://{yourDomain}/identity/api/Group/3fa85f64-5717-4562-b3fc-2c963f66afa6/gryff-01' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
    "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "Gryffindors",
    "directoryUserIDsToAdd": [
        "lun-1302", "nev-3007"
    ],
    "directoryUserIDsToRemove": []
}'
```

Here is the response for a successful call:

```
{
    "id": "gryff-01",
    "name": "Gryffindors",
    "displayName": "Gryffindors",
    "type": 1,
    "creationTime": "2021-10-19T15:37:49.1853184",
    "lastModificationTime": "2021-10-19T16:46:20.0742901",
    "members": [
        {
            "objectType": "DirectoryUser",
            "firstName": "Hermione",
            "lastName": "Granger",
            "jobTitle": "student",
            "companyName": "Hogwarts",
            "city": "London",
            "department": "magic",
            "displayName": "Hermione Granger",
            "source": "local",
            "identifier": "her-1909",
            "name": "Hermione",
            "email": "hermione@hogwarts.com"
        },
        {
            "objectType": "DirectoryUser",
            "firstName": "Harry",
            "lastName": "Potter",
            "jobTitle": ""student"",
            "companyName": "Hogwarts",
            "city": "London",
            "department": "magic",
            "displayName": "Harry Potter",
            "source": "local",
            "identifier": "har-3107",
            "name": "Harry",
            "email": "harry@hogwarts.com"
        },
        {
            "objectType": "DirectoryUser",
            "firstName": "Luna",
            "lastName": "Lovegood",
            "jobTitle": "student",
            "companyName": "Hogwarts",
            "city": "London",
            "department": "magic",
            "displayName": "Luna Lovegood",
            "source": "local",
            "identifier": "lun-1302",
            "name": "Luna",
            "email": "luna@hogwarts.com"
        },      
        {
            "objectType": "DirectoryUser",
            "firstName": "Ron",
            "lastName": "Weasley",
            "jobTitle": "student",
            "companyName": "Hogwarts",
            "city": "London",
            "department": "magic",
            "displayName": "Ron Weasley",
            "source": "local",
            "identifier": "ron-0103",
            "name": "Ron",
            "email": "ron@hogwarts.com"
        },
        {
            "objectType": "DirectoryUser",
            "firstName": "Neville",
            "lastName": "Longbottom",
            "jobTitle": "student",
            "companyName": "Hogwarts",
            "city": "London",
            "department": "magic",
            "displayName": "Neville Longbottom",
            "source": "local",
            "identifier": "nev-3007",
            "name": "Neville",
            "email": "neville@hogwarts.com"
        }      
    ]
}
```
